SSTableSplitter.SplittingCompactionTask (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.compaction

## Class SSTableSplitter.SplittingCompactionTask

- java.lang.Object
- - org.apache.cassandra.utils.WrappedRunnable
  - - org.apache.cassandra.db.compaction.AbstractCompactionTask
    - - org.apache.cassandra.db.compaction.CompactionTask
      - - org.apache.cassandra.db.compaction.SSTableSplitter.SplittingCompactionTask

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    SSTableSplitter

      public static class SSTableSplitter.SplittingCompactionTask
      extends CompactionTask

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.compaction.CompactionTask

      `gcBefore, keepOriginals, logger, totalBytesCompacted`

    - ### Fields inherited from class org.apache.cassandra.db.compaction.AbstractCompactionTask

      `cfs, compactionType, isUserDefined, transaction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplittingCompactionTask(ColumnFamilyStore cfs, LifecycleTransaction transaction, int sstableSizeInMB)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompactionAwareWriter` | `getCompactionAwareWriter(ColumnFamilyStore cfs, Directories directories, LifecycleTransaction txn, java.util.Set<SSTableReader> nonExpiredSSTables)`
    `protected CompactionController` | `getCompactionController(java.util.Set<SSTableReader> toCompact)`
    `protected boolean` | `partialCompactionsAcceptable()`

    - ### Methods inherited from class org.apache.cassandra.db.compaction.CompactionTask

      `addToTotalBytesCompacted, checkAvailableDiskSpace, executeInternal, getDirectories, getLevel, getMaxDataAge, getMinRepairedAt, reduceScopeForLimitedSpace, runMayThrow, updateCompactionHistory`

    - ### Methods inherited from class org.apache.cassandra.db.compaction.AbstractCompactionTask

      `execute, setCompactionType, setUserDefined, toString`

    - ### Methods inherited from class org.apache.cassandra.utils.WrappedRunnable

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SplittingCompactionTask

          public SplittingCompactionTask(ColumnFamilyStore cfs,
                                         LifecycleTransaction transaction,
                                         int sstableSizeInMB)

  - ### Method Detail

    - #### getCompactionController

          protected CompactionController getCompactionController(java.util.Set<SSTableReader> toCompact)

      Overrides:
        `getCompactionController` in class `CompactionTask`

    - #### getCompactionAwareWriter

          public CompactionAwareWriter getCompactionAwareWriter(ColumnFamilyStore cfs,
                                                                Directories directories,
                                                                LifecycleTransaction txn,
                                                                java.util.Set<SSTableReader> nonExpiredSSTables)

      Overrides:
        `getCompactionAwareWriter` in class `CompactionTask`

    - #### partialCompactionsAcceptable

          protected boolean partialCompactionsAcceptable()

      Overrides:
        `partialCompactionsAcceptable` in class `CompactionTask`

Copyright © 2018 The Apache Software Foundation